### Method

# Gtk TextBuffer get_iter_at_line

#### Declaration [src]

    gboolean
    gtk_text_buffer_get_iter_at_line (
      GtkTextBuffer* buffer,
      GtkTextIter* iter,
      int line_number
    )

#### Description [src]

Initializes `iter` to the start of the given line.

If `line_number` is greater than or equal to the number of lines in the `buffer`, the end iterator is returned.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Iterator to initialize.

  The argument will be set by the function.
  The data is owned by the instance.

`line_number`

  Type: `int`

  Line number counting from 0

#### Return value

Type: `gboolean`

Whether the exact position has been found.